<ion-header>
  <ion-navbar color="ativoPurple">
    <ion-title>event-ranking</ion-title>
  </ion-navbar>

  <ion-toolbar no-border-top color="ativoPurple"><!-- Start Options segments -->
    <ion-segment [(ngModel)]="segmentOptionSelected">
      <ion-segment-button value="photos">
        Fotos
      </ion-segment-button>
      <ion-segment-button value="ranking">
        Resultados
      </ion-segment-button>
      <ion-segment-button value="trends">
        Cobertura
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar><!-- End Options segments -->

  <ion-toolbar color="white"><!-- Start Input search event to result -->
    <ion-searchbar placeholder="nome, n° de peito"></ion-searchbar>
  </ion-toolbar><!-- End Input search event to result -->
</ion-header>

<ion-content>
    <div [ngSwitch]="segmentOptionSelected"><!-- Start switch -->

      <div *ngSwitchCase="'photos'"><!-- Start Photos list-->
        <ion-grid>
          <ion-row>
            <ion-col col-6>
              <ion-card>
                <img src="https://dspncdn.com/a1/media/692x/85/53/d8/8553d88e531f1f6436c9a5f468eb7c44.jpg">

                <ion-item>
                  <h1>Duke Nukken</h1>
                  <span>N° 2076</span>
                </ion-item>

                <ion-item>
                  <ion-icon color="flower" name="camera" item-left large ></ion-icon>
                  <h2>109</h2>
                  <p>fotos</p>
                </ion-item>

              </ion-card>
            </ion-col>
          </ion-row>
        </ion-grid>
      </div><!-- End Photos list-->


      <div *ngSwitchCase="'ranking'"><!-- Start ranking list-->
        <ion-list>
          <!-- Componet -->
          <result-position-race-item *ngFor="let position of ranking"
                                      [classificacaoTotal]="position.classificacao_total"
                                      [tempoTotal]="position.tempo_total"
                                      [nome]="position.nome"
                                      [numPeito]="position.num_peito"
                                      [position]="position">
          </result-position-race-item>
        </ion-list>
      </div><!-- End ranking list-->

      <div *ngSwitchCase="'trends'"><!-- Start trends list-->
        <h1 padding-top>UAAAAAAALA</h1>
      </div><!-- End trends list -->
    </div>
</ion-content>
